API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/agent/enroll/approve

POST/v1/agent/enroll/approve

Approve a QR-code-based agent enrollment

Request Body

NameTypBeschreibung
agentIderforderlichstringAgent ID from the QR code
tenantIdstringTarget tenant (if user has multi-tenant access)
capabilitiesstring[]Capabilities to grant (null = defaults)
hostnamestringMachine hostname (from QR code data)
serialNumberstringMachine serial number (from QR code data)
macAddressesstring[]MAC addresses (from QR code data)

Beispiel

curl -X POST https://api.codemeta-os.de/v1/agent/enroll/approve \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "agentId": "string",
  "tenantId": "string",
  "capabilities": [],
  "hostname": "string",
  "serialNumber": "string",
  "macAddresses": []
}'
const result = await cm.agent.post({
  "agentId": "string",
  "tenantId": "string",
  "capabilities": [],
  "hostname": "string",
  "serialNumber": "string",
  "macAddresses": []
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche